Bug 963255 - Partition Scheme Options screen allows to continue without selecting any option
Partition Scheme Options screen allows to continue without selecting any option
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-15 09:50 EDT by Jan Stodola
Modified: 2013-05-27 03:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 03:44:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
program.log (25.13 KB, text/plain)
2013-05-15 09:51 EDT, Jan Stodola
no flags Details
screenshot (4.78 KB, text/plain)
2013-05-15 09:51 EDT, Jan Stodola
no flags Details
storage.log (108.37 KB, text/plain)
2013-05-15 09:51 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-05-15 09:50:18 EDT
Description of problem:
Text-mode anaconda allows to finish partitioning even though no option on the "Partition Scheme Options" screen was selected:


================================================================================
================================================================================
Partition Scheme Options

[ ] 1) BTRFS

[ ] 2) LVM

[ ] 3) Standard Partition

Select a partition scheme configuration.

  Please make your choice from above ['q' to quit | 'c' to continue]: c
Generating updated storage configuration
Checking storage configuration...
================================================================================
================================================================================
Installation

 1) [x] Timezone settings                 2) [x] Install Destination
        (US/Eastern timezone)                    (Automatic partitioning selecte
 3) [!] Create user                              d)
        (No user will be created)         4) [!] Set root password
                                                 (Password is not set.)
  Please make your choice from above ['q' to quit | 'c' to continue]:

Version-Release number of selected component (if applicable):
anaconda-19.25-1

How reproducible:
always

Steps to Reproduce:
1. start text mode installation
2. proceed to the screen "Partition Scheme Options"
3. notice that no option is selected
4. select 'c' to continue
  
Actual results:
Anaconda allows to continue even though no option is selected

Expected results:
Anaconda doesn't allow to continue until a valid item is selected, also some item should be preselected by default.
Comment 2 Jan Stodola 2013-05-15 09:51:21 EDT
Created attachment 748305 [details]
program.log
Comment 3 Jan Stodola 2013-05-15 09:51:25 EDT
Created attachment 748306 [details]
screenshot
Comment 4 Jan Stodola 2013-05-15 09:51:32 EDT
Created attachment 748307 [details]
storage.log
Comment 6 Samantha N. Bueno 2013-05-24 11:44:39 EDT
Hi Jan,

Could you try this out with F19 beta RC04? I made some changes to the source spoke (bug 964069 for full disclosure), and this shouldn't be an issue any longer.
Comment 7 Jan Stodola 2013-05-27 03:44:40 EDT
Retested with Fedora 19-Beta-RC4, anaconda-19.30-1 and anaconda behaves as expected.

Closing as fixed.

Note You need to log in before you can comment on or make changes to this bug.